Subject: Re: [PATCH 1/1] posix clocks: introduce syscall for clock tuning.

From: Arnd Bergmann <[email-masked]>
Date: Mon, 23 Aug 2010 16:46:00 +0200

On Monday 23 August 2010, Matthew Wilcox wrote:
> On Mon, Aug 23, 2010 at 02:57:26PM +0200, Arnd Bergmann wrote:
> > > +static inline int common_clock_adj(const clockid_t which_clock, int ppb,
> > > +                              struct timespec *tp)
> > > +{
> > > +   return -EOPNOTSUPP;
> > > +}
> > > +
> > >  static int no_timer_create(struct k_itimer *new_timer)
> > >  {
> > >     return -EOPNOTSUPP;
> > 
> > So we already return -EOPNOTSUPP in some cases? The man page does not document this.
> > I wonder if we should change that to -EINVAL as well.
> 
> ENOTTY is the usual errno for "inappropriate ioctl for device".  Due to
> the way this patch has been chopped up, I can't tell if that's what is
> intended here.

It's for the CLOCK_* syscall family, which I think is different enough from
an ioctl that ENOTTY makes no sense.

The documented return values of timer_create() are EAGAIN, EINVAL and
ENOMEM.

	Arnd